Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class ReadOnlyPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingPropertyException
                          groovy.lang.ReadOnlyPropertyException

All Implemented Interfaces:
  Serializable

    public class ReadOnlyPropertyException

extends MissingPropertyException

This exception is thrown if an attempt is made to set a read only property

Version:
  $Revision: 6778 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class groovy.lang.MissingPropertyException
`MPE`

Constructor Summary
`ReadOnlyPropertyException(String property, Class type)`

Method Summary

Methods inherited from class groovy.lang.MissingPropertyException
`getMessageWithoutLocationText, getProperty, getType`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessage, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadOnlyPropertyException

    public ReadOnlyPropertyException(String property,
                                     Class type)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD